﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Xenon.KifuNarabe
{
    public class Kifu2View
    {

        #region プロパティー類
        //------------------------------------------------------------
        private Kifu kifu;

        public Kifu Kifu
        {
            get
            {
                return this.kifu;
            }
        }
        //------------------------------------------------------------
        #endregion


        /// <summary>
        /// 
        /// </summary>
        public Kifu2View()
        {
            this.kifu = new Kifu();
        }


        /// <summary>
        /// 
        /// </summary>
        /// <param name="kifu">現在の局面までの棋譜。</param>
        public Kifu2View(Kifu kifu)
        {
            this.kifu = kifu.Clone();
        }


        /// <summary>
        /// 符号リスト。「position startpos moves 7g7f 3c3d 2g2f」…。
        /// </summary>
        /// <param name="fugoList"></param>
        public string ToText()
        {
            StringBuilder sb = new StringBuilder();

            sb.Append("position startpos moves ");

            foreach (MasuBango kn in this.Kifu.MasuBangoList)
            {
                sb.Append(kn.ToText());
                sb.Append(" ");
            }

            //System.Console.WriteLine("size(" + fugoList.Count+")"+sb.ToString());

            return sb.ToString();
        }

    }
}
