﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Xenon.KifuNarabe
{

    /// <summary>
    /// [ゲームの状態]関係
    /// </summary>
    public class Actions_GameState
    {

        /// <summary>
        /// 先後の交代
        /// </summary>
        /// <param name="sengo">先後</param>
        /// <returns>ひっくりかえった先後</returns>
        public static Sengo AlternateSengo(Sengo sengo)
        {
            Sengo result;

            switch (sengo)
            {
                case Sengo.SENTE:
                    result = Sengo.GOTE;
                    break;

                case Sengo.GOTE:
                    result = Sengo.SENTE;
                    break;

                default:
                    result = sengo;
                    break;
            }

            return result;
        }

    }
}
