﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Xenon.KifuNarabe
{

    /// <summary>
    /// 駒置き場
    /// </summary>
    public enum Okiba
    {

        /// <summary>
        /// 将棋盤
        /// </summary>
        SHOGIBAN,

        /// <summary>
        /// 先手駒台
        /// </summary>
        SENTE_KOMADAI,

        /// <summary>
        /// 後手駒台
        /// </summary>
        GOTE_KOMADAI,

        /// <summary>
        /// 駒袋
        /// </summary>
        KOMABUKURO,

        /// <summary>
        /// この値を利用してはいけないとき。
        /// </summary>
        NO_USE,

        /// <summary>
        /// エラー時
        /// </summary>
        ERROR

    }

}
